Subject: Re: bug#40558: Modular TexLive "Insufficient extension fonts" and duplicate fonts

From: zimoun <[email-masked]>
Date: Fri, 11 Feb 2022 15:58:09 +0100

Hi Ricardo,

On Fri, 21 Jan 2022 at 18:21, Ricardo Wurmus <[email-masked]> wrote:

>> The only way I have gotten it to typeset under a texlive-union so far is by
>> munging texlive-amsfonts as Jelle mentioned.
>
> I have since added texlive-amsfonts/fixed, which installs all the files
> it is supposed to (according do the tlpdb).  I’ve also since fixed font
> search.
>
> Can this issue be closed?

I reopen the issue because it appears to be broken for beamer.

--8<---------------cut here---------------start------------->8---
\documentclass{beamer}
\begin{document}
\begin{frame}
  \begin{tabular}{c|c}
    foo & bar
  \end{tabular}
\end{frame}
\end{document}
--8<---------------cut here---------------end--------------->8---

leads to the error:

--8<---------------cut here---------------start------------->8---
! Math formula deleted: Insufficient extension fonts.
\endtabular ->\crcr \egroup \egroup $
                                     \egroup
l.7 \end{frame}

? --8<---------------cut here---------------end--------------->8---

Weird, isn't?  That's because 'tabular' uses some math stuff for
aligning, IIUC.  Otherwise, this example:

--8<---------------cut here---------------start------------->8---
\documentclass{beamer}
\begin{document}
\begin{frame}
  \begin{equation}
    x
  \end{equation}
\end{frame}
\end{document}
--8<---------------cut here---------------end--------------->8---

Using Guix 4dffece, the invokation is:

   guix shell -C -m manifest.scm -- pdflatex foo.tex

where 'manifest.scm' reads:

--8<---------------cut here---------------start------------->8---
(specifications->manifest
 (list
  "rubber"

  "texlive-base"
  "texlive-fonts-ec"
  "texlive-kpfonts"
  "texlive-cm-super"
  "texlive-amsfonts-fixed"

  "texlive-beamer"
  "texlive-translator"
  "texlive-ulem"
  "texlive-capt-of"
  "texlive-hyperref"
  "texlive-carlisle"

  "texlive-latex-geometry"
  "texlive-latex-wrapfig"
  "texlive-latex-amsmath"
  "texlive-babel-french"
  "texlive-latex-listings"
  ))
--8<---------------cut here---------------end--------------->8---

(Maybe I miss a package in the manifest?)

Last, note it works using the BIG 'texlive' package.

Cheers,
simon